git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [VOTE] Apache IvyDE 2.3.0-rc1 release


Thanks for testing this Nicolas. This indeed is a big enough issue to be
considered a blocker. I'll take a look at this.

I'll also include the sha and rev in a newer vote and update our release
instructions.

-Jaikiran
On Tuesday, June 19, 2018, Nicolas Lalevée <nicolas.lalevee@xxxxxxxxxx>
wrote:
> First, thank you very much Jaikiran to make this release happen.
>
> So checksum, signatures, installation, build, resolve on projects went
well. But I have found a regression: global preferences cannot be saved
anymore.
> cf https://issues.apache.org/jira/browse/IVYDE-388 <
https://issues.apache.org/jira/browse/IVYDE-388>
>
> Looking at the code, indeed it cannot work.
>
https://github.com/apache/ant-ivyde/blob/c92ed1b9247642dfaa67e5cf84528cfa20931c47/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/ui/preferences/PreferenceConstants.java#L136
<
https://github.com/apache/ant-ivyde/blob/c92ed1b9247642dfaa67e5cf84528cfa20931c47/org.apache.ivyde.eclipse/src/java/org/apache/ivyde/internal/eclipse/ui/preferences/PreferenceConstants.java#L136
>
>
> I think it deserves to be fixed before being consumed by end users.
> So -1 for me.
>
> Also, it will be better to mention the sha1 of the git tag and the svn
revision of the artifact in dist. We should update the release instructions
to not forgot it, like I have done for the last release of Ivy:
>
https://github.com/apache/ant-ivy/blob/master/asciidoc/dev/makerelease.adoc#11-call-for-a-vote-to-approve-the-release
<
https://github.com/apache/ant-ivy/blob/master/asciidoc/dev/makerelease.adoc#11-call-for-a-vote-to-approve-the-release
>
>
> Nicolas
>
>> Le 17 juin 2018 à 08:45, Jaikiran Pai <jai.forums2013@xxxxxxxxx> a écrit
:
>>
>> This is a newer vote mail that I'm initiating for the 2.3.0-rc1 release
of IvyDE.
>>
>> The newly updated tag is here
https://git1-us-west.apache.org/repos/asf?p=ant-ivyde.git;a=commit;h=refs/tags/2.3.0-rc1
>>
>> You can download the distribution from this URL:
https://dist.apache.org/repos/dist/dev/ant/ivyde/2.3.0-rc1/
>>
>> The Eclipse p2 repository is here:
https://dist.apache.org/repos/dist/dev/ant/ivyde/updatesite/ivyde-2.3.0.rc1-201806171016-RELEASE/
>>
>> The 2.3.0-rc1 release of IvyDE consists of the following changes:
>>
>> * FIX: xml bomb in workspace causes hang in Ivy code during Search or
Synchronize operations (https://issues.apache.org/jira/browse/IVYDE-354)
>> * FIX: Deadlock in classpath container (
https://issues.apache.org/jira/browse/IVYDE-361)
>> * FIX: Typo in IvyResolveJob (
https://issues.apache.org/jira/browse/IVYDE-362)
>> * FIX: User-selected configurations not checked in the viewer (
https://issues.apache.org/jira/browse/IVYDE-378)
>> * FIX: Fix ClassCastException (
https://issues.apache.org/jira/browse/IVYDE-386)
>>
>> * NEW: Support for OSGi 'Bundle-Classpath' directive
>> * NEW: Basic support for the workspace resolver to find OSGi bundles
managed by Ivy in the workspace
>> * NEW: Support for storing credentials securely
>>
>>
>> Do you vote for the release of these binaries?
>>
>>
>> -Jaikiran
>>
>>
>> ---------------------------------------------------------------------
>> To unsubscribe, e-mail: dev-unsubscribe@xxxxxxxxxxxxxx
>> For additional commands, e-mail: dev-help@xxxxxxxxxxxxxx
>>
>
>